[gcompris] tools: created the bundleit tool to distribute python activities.
- From: Bruno Coudoin <bcoudoin src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gcompris] tools: created the bundleit tool to distribute python activities.
- Date: Sun, 15 Jul 2012 01:05:04 +0000 (UTC)
commit e04389f7f6a381c99ea4ea4c0c9237a15cea3d92
Author: Bruno Coudoin <bruno coudoin free fr>
Date: Sun Jul 15 03:03:06 2012 +0200
tools: created the bundleit tool to distribute python activities.
The bundleit.sh script created a .tgz of an activity. It is possible
to let users untar it in their share/gcompris directory to run it.
src/bundleit.sh | 20 ++++++++++++++++++++
1 files changed, 20 insertions(+), 0 deletions(-)
---
diff --git a/src/bundleit.sh b/src/bundleit.sh
new file mode 100755
index 0000000..06b2a6c
--- /dev/null
+++ b/src/bundleit.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+#set -x
+if [ -z $1 ]; then
+ echo "Usage: bundleitit.sh [GCompris activity directory]"
+ exit 1
+fi
+
+activity=${1%/}
+
+tmpdir=`mktemp -d`
+
+cd $activity
+make install DESTDIR=$tmpdir
+cd ..
+
+tar -czf $activity.tgz -C $tmpdir/usr/local/share/gcompris/ boards python
+
+rm -rf $tmpdir
+
+echo "The bundle is created in $activity.tgz"
\ No newline at end of file
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]